Update Customer

This function is used to update an existing Customer. You must get customer before updating it with this put.. If fields are excluded, they will likely be considered null and be blanked out. Currency does not need to be included as it will default to your selected default currency. In all cases, include id and status even if you are not planning to change the status value as failing to do so will return an error from the system.The easiest way to use this and many other PUT endpoints is to read the object, copy the JSON response, modify the desired fields, then use that modified JSON as the payload for the PUT call.To target specific fields instead of updating the full customer, use PATCH instead. .

Body Params
int32
required

Customer id required to identify which specific customer to update. This is returned when creating a customer for the first time, or by searching customers using List Customers.

string

The first name of the Customer. [Max Length: 50 characters]

string

The middle name of the Customer. [Max Length: 50 characters]

string

The last name of the Customer. [Max Length: 50 characters]

string

The company name associated with this customer. [Max Length: 50 characters]

string

The name suffix of the customer, for example Jr. or Sr. [Max Length: 50 characters]

string

The primary contact email for the Customer. Allows multiple entries in the format "[email protected]; [email protected]; [email protected]". Invoices and other email communications will be sent to this address(s). [Max Length: 255 characters]

string

The primary contact number for the Customer. [Max Length: 50 characters]

string

The secondary contact email for the Customer. Allows multiple entries in the format "[email protected]; [email protected]; [email protected]". No communications are sent to this address [Max Length: 255 characters]

string

The secondary contact number for the Customer. [Max Length: 50 characters]

string
enum

The prefix-title of the customer.

Allowed:
string

This is a free form reference field where you can store a reference string for this customer. Generally, this is used to store the reference/Id of this Customer in some external system to facilitate matching up the Fusebill Customer record to that system. [Max Length: 255 characters]

string
enum

The status of the Customer. This field can be used to change status under certain constraints. In general it is best to use methods like [Hold Customer] and [Activate Customer] to change customer status.

Allowed:
string

3 character ISO currency code. The Currency configured for this Customer. Can only be changed if customer is still in status draft and no transactions have occurred.

customerReference
object

This is used to store additional data related to this customer, including sales tracking codes.

customerAcquisition
object

This is used to store different details about how this customer was acquired. Generally, this is used to store marketing channel information.

int32

The Parent ID relates to the hierarchy feature. If hierarchy is enabled, this is the id of the parent customer.​

string
enum

This is generally only relevant for customers with status of draft . Indicates how Fusebill is handling latching for this customer object and the possible corresponding customer in QuickBooks Online. This is for the QuickBooks Online plugin. CreateNew will create and latch to a new customer in QuickBooks Online. LatchExisting will try to connect to the quickBooksId provided. DoNothing does not create a new customer in QuickBooks Online.

Allowed:
int32

The name ID of this customer in QuickBooks Online. For the QuickBooks Online plugin.

int32

The avalara ID of the customer in our Avalara Direct Taxation module.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
text/plain